"use strict";
const common_vendor = require("../../common/vendor.js");
const INDEX_collection_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
const INDEX_collection_method = require("./method.js");
require("../../gen/Apis.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_tabs2 + _easycom_hs_empty2 + _easycom_uni_icons2 + _easycom_hs_footer2)();
}
const _easycom_hs_tabs = () => "../../components/hs-tabs/hs-tabs.js";
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_hs_empty + _easycom_uni_icons + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a;
      (_a = INDEX_collection_method.method) == null ? void 0 : _a.getHouseList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m;
      return common_vendor.e({
        a: common_vendor.o((_a = common_vendor.unref(INDEX_collection_method.method)) == null ? void 0 : _a.handleTableChange),
        b: common_vendor.p({
          list: (_b = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _b.tablData,
          no_space_between: true,
          current: (_d = (_c = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _c.current) == null ? void 0 : _d.value
        }),
        c: !((_g = (_f = (_e = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _e.dataList) == null ? void 0 : _f.value) == null ? void 0 : _g.length)
      }, !((_j = (_i = (_h = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _h.dataList) == null ? void 0 : _i.value) == null ? void 0 : _j.length) ? {} : {}, {
        d: common_vendor.f((_l = (_k = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _k.dataList) == null ? void 0 : _l.value, (i, k0, i0) => {
          var _a2, _b2, _c2, _d2, _e2, _f2, _g2;
          return common_vendor.e({
            a: common_vendor.t(((_a2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _a2.full_name) || ""),
            b: (i == null ? void 0 : i.asset_houses_id) === ((_d2 = (_c2 = (_b2 = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _b2.formData) == null ? void 0 : _c2.value) == null ? void 0 : _d2.asset_houses_id)
          }, (i == null ? void 0 : i.asset_houses_id) === ((_g2 = (_f2 = (_e2 = common_vendor.unref(INDEX_collection_model.useModel)) == null ? void 0 : _e2.formData) == null ? void 0 : _f2.value) == null ? void 0 : _g2.asset_houses_id) ? {
            c: "40a21666-2-" + i0,
            d: common_vendor.p({
              type: "checkbox-filled",
              size: "20",
              color: "#2A7EFB"
            })
          } : {
            e: "40a21666-3-" + i0,
            f: common_vendor.p({
              type: "circle",
              size: "20",
              color: "#888"
            })
          }, {
            g: i,
            h: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(INDEX_collection_method.method)) == null ? void 0 : _a3.handleSelect(i);
            }, i)
          });
        }),
        e: common_vendor.o((_m = common_vendor.unref(INDEX_collection_method.method)) == null ? void 0 : _m.toNext),
        f: common_vendor.p({
          btnParimaryName: "下一步"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/collection/index.vue"]]);
wx.createPage(MiniProgramPage);
